# $Id$
# Authority: dries
# Upstream: Stephen McCamant <smcc$csua,berkeley,edu>

# %define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
# %define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Scalar-List-Utils

Summary:	A selection of general-utility list subroutines
Name:		perl-Scalar-List-Utils
Version:	1.34
Release:	2.1
License:	Artistic
Group:		Applications/CPAN
URL:		http://search.cpan.org/dist/Scalar-List-Utils/

Source:		Scalar-List-Utils-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
A selection of general-utility list subroutines.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" # PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

# cleanup
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod \
                %{buildroot}%{perl_vendorarch}/auto/List/Util/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%dir %{perl_vendorarch}/Scalar/
%{perl_vendorarch}/Scalar/Util.pm
%dir %{perl_vendorarch}/List/
%{perl_vendorarch}/List/Util.pm
%dir %{perl_vendorarch}/List/Util/
%{perl_vendorarch}/List/Util/XS.pm
%dir %{perl_vendorarch}/auto/List/
%dir %{perl_vendorarch}/auto/List/Util/
%{perl_vendorarch}/auto/List/Util/Util.*


%changelog
* Fri Oct 18 2013 cs@linux-administrator.com
- initial package build
